Skip to main content
`Ctrl`+`K`

# DMPlexLandauCreateVelocitySpace

Create a `DMPLEX` velocity space mesh

## Synopsis

    #include "petscdmplex.h"
    #include "petsclandau.h"
    PetscErrorCode DMPlexLandauCreateVelocitySpace(MPI_Comm comm, PetscInt dim, const char prefix[], Vec *X, Mat *J, DM *pack)

Collective

## Input Parameters

- comm - The MPI communicator

- dim - velocity space dimension (2 for axisymmetric, 3 for full 3X + 3V solver)

- prefix - prefix for options (not tested)

## Output Parameters

- pack - The `DM` object representing the mesh

- X - A vector (user destroys)

- J - Optional matrix (object destroys)

## See Also

`DMPlexCreate()`, `DMPlexLandauDestroyVelocitySpace()`

## Level

beginner

## Location

src/ts/utils/dmplexlandau/plexland.c

## Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90
src/ts/utils/dmplexlandau/tutorials/ex2.c

Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages